500 Error

Discussion in 'Ruby/Rails' started by akamia123, Sep 7, 2006.

  1. akamia123

    akamia123 New Member

    Hey,

    I just installed the latest standard version and I used the rails VHOST template to setup my site but I get this error:

    Application error

    Change this error message for exceptions thrown outside of an action (like in Dispatcher setups or broken Ruby code) in public/500.html

    I'm using a brand new rails app generated on the server with one hello world controller, so there isn't any code to mess things up.

    Any idea would help.

    Thanks
  2. xing

    xing LiteSpeed Staff

    Check your /railapproot/log/ folder and check the log entries within "production.log" file to find see why your rail app is throwing this error.
  3. akamia123

    akamia123 New Member

    Hey... I don't know if this is related or not but I'm getting this error now when I restart the server.

    2006-09-06 18:59:45.318 ERROR [config:server:epsr:RubyRailsLSAPI] missing <path>
    2006-09-06 18:59:45.318 ERROR [config:scripthandler] Can not find handler with type: 8, name: railsLsapi.
    2006-09-06 18:59:45.318 ERROR [config:scripthandler] Can not find External Application: railsLsapi, type: lsapi
    2006-09-06 18:59:45.318 ERROR [config:scripthandler] use static file handler for suffix
    PHP:

    As for the logs

    I don
    't know if it matters but I'm running under development so in the development log I have this:
    Recognition failed for ""
    /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.3/lib/action_controller/routing.rb:521:in `recognition_failed'
    /usr/local/lib/ruby/gems/1.8/gems/actionpack-1.12.3/lib/action_controller/routing.rb:511:in 
    `recognize!'
    /usr/local/lib/ruby/gems/1.8/gems/rails-1.1.4/lib/dispatcher.rb:38:in `dispatch'
    dispatch.rb:10
  4. mistwang

    mistwang LiteSpeed Staff

    Is that a fresh installation? Or upgrade?
    Rails app configured via the vhost template does not have anything like "RubyRailsLSAPI" or "railsLsapi".
    Install a fresh copy, and follow our Wiki, everything will work just fine.
  5. akamia123

    akamia123 New Member

    I reinstalled and I'm not getting the RubyRailsLSAPI error but I'm still getting the 500 error plus this came up after I setup a vhost with the template:

    2006-09-06 20:34:02.408 WARN [config:vhost:mydomain.com] Uid of /srv/myapp/public/ is smaller than minimum requirement 11, use server uid!
    2006-09-06 20:34:02.408 WARN [config:vhost:mydomain.com] Gid of /srv/myapp/public/ is smaller than minimum requirement 10, use server gid!
  6. mistwang

    mistwang LiteSpeed Staff

    Is your Rails application folder owned by "root"?
    It is a permission problem, just change the owner of Rails application to a normal user.

Share This Page